## ros-one-foxglove-bridge 0.8.5-20jammy.20251023.0833

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)

if(POLICY CMP0048)
  cmake_policy(SET CMP0048 NEW)
  set(CMAKE_POLICY_DEFAULT_CMP0048 NEW)
endif()
if(POLICY CMP0024)
  cmake_policy(SET CMP0024 NEW)
  set(CMAKE_POLICY_DEFAULT_CMP0024 NEW)
endif()

project(foxglove_bridge LANGUAGES CXX VERSION 0.8.5)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

macro(enable_strict_compiler_warnings target)
  if (MSVC)
    target_compile_options(${target} PRIVATE /WX /W4)
  elseif(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    target_compile_options(${target} PRIVATE -Wall -Wextra -Wpedantic -Werror -Wold-style-cast -Wfloat-equal -Wmost -Wunused-exception-parameter)
  else()
    target_compile_options(${target} PRIVATE -Wall -Wextra -Wpedantic -Werror -Wold-style-cast -Wfloat-equal)
  endif()
endmacro()

find_package(nlohmann_json QUIET)
find_package(OpenSSL REQUIRED)
find_package(Threads REQUIRED)
find_package(websocketpp REQUIRED)
find_package(ZLIB REQUIRED)

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RelWithDebInfo)
endif()

option(USE_FOXGLOVE_SDK "Build with Foxglove SDK" OFF)
add_definitions(-DUSE_FOXGLOVE_SDK=${USE_FOXGLOVE_SDK})

# Determine wheter to use standalone or boost asio
option(USE_ASIO_STANDALONE "Build with standalone ASIO" ON)
if(USE_ASIO_STANDALONE)
  message(STATUS "Using standalone ASIO")
  add_definitions(-DASIO_STANDALONE)
else()
  message(STATUS "Using Boost ASIO")
  find_package(Boost REQUIRED)
endif(USE_ASIO_STANDALONE)

# Detect big-endian architectures
include(TestBigEndian)
TEST_BIG_ENDIAN(ENDIAN)
if (ENDIAN)
  add_compile_definitions(ARCH_IS_BIG_ENDIAN=1)
endif()

if(USE_FOXGLOVE_SDK)
  if (CMAKE_SYSTEM_NAME STREQUAL "Linux" AND CMAKE_SYSTEM_PROCESSOR STREQUAL "aarch64")
    set(FOXGLOVE_SDK_RELEASES "https://github.com/foxglove/foxglove-sdk/releases/download/sdk%2Fv0.10.0/foxglove-v0.10.0-cpp-aarch64-unknown-linux-gnu.zip" "81e2379e3a08160c023779eab0fe5c5764ace3b30c8727b0030ac7dc8b415016")
  elseif(CMAKE_SYSTEM_NAME STREQUAL "Linux" AND CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")
    set(FOXGLOVE_SDK_RELEASES "https://github.com/foxglove/foxglove-sdk/releases/download/sdk%2Fv0.10.0/foxglove-v0.10.0-cpp-x86_64-unknown-linux-gnu.zip" "209d34a8703d44a129c559493e1a3fb215888b4d5973622750ac28b1c345946c")
  else()
    message(FATAL_ERROR "Unsupported platform: ${CMAKE_SYSTEM_PROCESSOR}-${CMAKE_SYSTEM_NAME}")
  endif()

  list(GET FOXGLOVE_SDK_RELEASES 0 url)
  list(GET FOXGLOVE_SDK_RELEASES 1 hash)

  # Download Foxglove SDK shared lib
  include(FetchContent)
  FetchContent_Declare(
    foxglove_sdk
    URL ${url}
    URL_HASH SHA256=${hash}
  )
  FetchContent_MakeAvailable(foxglove_sdk)

  add_library(foxglove_sdk STATIC)
  target_include_directories(foxglove_sdk SYSTEM
    PUBLIC
      $<BUILD_INTERFACE:${foxglove_sdk_SOURCE_DIR}/include>
      $<INSTALL_INTERFACE:include>
  )
  file(GLOB_RECURSE FOXGLOVE_SDK_SOURCES CONFIGURE_DEPENDS "${foxglove_sdk_SOURCE_DIR}/src/*.cpp")
  target_sources(foxglove_sdk PRIVATE ${FOXGLOVE_SDK_SOURCES})
  set_target_properties(foxglove_sdk PROPERTIES POSITION_INDEPENDENT_CODE ON)
  target_link_libraries(foxglove_sdk PRIVATE ${foxglove_sdk_SOURCE_DIR}/lib/libfoxglove.a)
endif()

# Get git commit hash and replace variables in version.cpp.in
find_program(GIT_SCM git DOC "Git version control")
if (GIT_SCM)
  execute_process(
    COMMAND ${GIT_SCM} describe --always --dirty --exclude="*"
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    OUTPUT_VARIABLE FOXGLOVE_BRIDGE_GIT_HASH
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )
endif()
set(FOXGLOVE_BRIDGE_VERSION "${CMAKE_PROJECT_VERSION}")
configure_file(foxglove_bridge_base/src/version.cpp.in
               foxglove_bridge_base/src/version.cpp @ONLY)
# Build the foxglove_bridge_base library
add_library(foxglove_bridge_base SHARED
  foxglove_bridge_base/src/base64.cpp
  foxglove_bridge_base/src/foxglove_bridge.cpp
  foxglove_bridge_base/src/parameter.cpp
  foxglove_bridge_base/src/serialization.cpp
  foxglove_bridge_base/src/server_factory.cpp
  foxglove_bridge_base/src/test/test_client.cpp
  # Generated:
  ${CMAKE_CURRENT_BINARY_DIR}/foxglove_bridge_base/src/version.cpp
)
target_include_directories(foxglove_bridge_base
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/foxglove_bridge_base/include>
    $<INSTALL_INTERFACE:include>
)
target_link_libraries(foxglove_bridge_base
  OpenSSL::Crypto
  OpenSSL::SSL
  ZLIB::ZLIB
  ${CMAKE_THREAD_LIBS_INIT}
)

if(nlohmann_json_FOUND)
  target_link_libraries(foxglove_bridge_base nlohmann_json::nlohmann_json)
else()
  message(STATUS "nlohmann_json not found, will search at compile time")
endif()
enable_strict_compiler_warnings(foxglove_bridge_base)

message(STATUS "ROS_VERSION: " $ENV{ROS_VERSION})
message(STATUS "ROS_DISTRO: " $ENV{ROS_DISTRO})
message(STATUS "ROS_ROOT: " $ENV{ROS_ROOT})

# ROS 1
if(CATKIN_DEVEL_PREFIX OR catkin_FOUND OR CATKIN_BUILD_BINARY_PACKAGE)
  message(STATUS "Building with catkin")
  set(ROS_BUILD_TYPE "catkin")

  find_package(catkin REQUIRED COMPONENTS nodelet resource_retriever ros_babel_fish rosgraph_msgs roslib roscpp)
  find_package(Boost REQUIRED)

  catkin_package(
    INCLUDE_DIRS foxglove_bridge_base/include
    LIBRARIES foxglove_bridge_base foxglove_bridge_nodelet
    CATKIN_DEPENDS nodelet resource_retriever ros_babel_fish rosgraph_msgs roslib roscpp
    DEPENDS Boost
  )

  add_library(foxglove_bridge_nodelet
    ros1_foxglove_bridge/src/ros1_foxglove_bridge_nodelet.cpp
    ros1_foxglove_bridge/src/param_utils.cpp
    ros1_foxglove_bridge/src/service_utils.cpp
  )
  target_include_directories(foxglove_bridge_nodelet
    SYSTEM PRIVATE
      $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/foxglove_bridge_base/include>
      $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/ros1_foxglove_bridge/include>
      $<INSTALL_INTERFACE:include>
      ${catkin_INCLUDE_DIRS}
  )
  target_link_libraries(foxglove_bridge_nodelet foxglove_bridge_base ${catkin_LIBRARIES})
  enable_strict_compiler_warnings(foxglove_bridge_nodelet)

  add_executable(foxglove_bridge ros1_foxglove_bridge/src/ros1_foxglove_bridge_node.cpp)
  target_include_directories(foxglove_bridge SYSTEM PRIVATE ${catkin_INCLUDE_DIRS})
  target_link_libraries(foxglove_bridge ${catkin_LIBRARIES})
  enable_strict_compiler_warnings(foxglove_bridge)
else()
  message(FATAL_ERROR "Could not find catkin")
endif()

#### TESTS #####################################################################

if (CATKIN_ENABLE_TESTING)
  message(STATUS "Building tests with catkin")

  find_package(catkin REQUIRED COMPONENTS roscpp std_msgs std_srvs)
  if(NOT "$ENV{ROS_DISTRO}" STREQUAL "melodic")
    find_package(GTest REQUIRED)
  endif()
  find_package(rostest REQUIRED)
  find_package(Boost REQUIRED COMPONENTS system)

  catkin_add_gtest(version_test foxglove_bridge_base/tests/version_test.cpp)
  target_link_libraries(version_test foxglove_bridge_base ${Boost_LIBRARIES})
  enable_strict_compiler_warnings(version_test)

  catkin_add_gtest(serialization_test foxglove_bridge_base/tests/serialization_test.cpp)
  target_link_libraries(serialization_test foxglove_bridge_base ${Boost_LIBRARIES})
  enable_strict_compiler_warnings(foxglove_bridge)

  catkin_add_gtest(base64_test foxglove_bridge_base/tests/base64_test.cpp)
  target_link_libraries(base64_test foxglove_bridge_base ${Boost_LIBRARIES})
  enable_strict_compiler_warnings(foxglove_bridge)

  add_rostest_gtest(smoke_test ros1_foxglove_bridge/tests/smoke.test ros1_foxglove_bridge/tests/smoke_test.cpp)
  target_include_directories(smoke_test SYSTEM PRIVATE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/foxglove_bridge_base/include>
    ${catkin_INCLUDE_DIRS}
    $<INSTALL_INTERFACE:include>
  )
  target_link_libraries(smoke_test foxglove_bridge_base ${catkin_LIBRARIES})
  enable_strict_compiler_warnings(smoke_test)
endif()

#### INSTALL ###################################################################

install(TARGETS foxglove_bridge
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(TARGETS foxglove_bridge_base foxglove_bridge_nodelet
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)
install(FILES nodelets.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY ros1_foxglove_bridge/launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== Makefile ===
ROS1_DISTRIBUTIONS := melodic noetic

define generate_ros1_targets
.PHONY: $(1)
$(1):
	docker build -t foxglove_bridge_$(1) --pull -f Dockerfile.ros1 --build-arg ROS_DISTRIBUTION=$(1) .

.PHONY: $(1)-test
$(1)-test: $(1)
	docker run -t --rm foxglove_bridge_$(1) bash -c "catkin_make run_tests && catkin_test_results"

.PHONY: $(1)-boost-asio
$(1)-boost-asio:
	docker build -t foxglove_bridge_$(1)_boost_asio --pull -f Dockerfile.ros1 --build-arg ROS_DISTRIBUTION=$(1) --build-arg USE_ASIO_STANDALONE=OFF .

.PHONY: $(1)-test-boost-asio
$(1)-test-boost-asio: $(1)-boost-asio
	docker run -t --rm foxglove_bridge_$(1)_boost_asio bash -c "catkin_make run_tests && catkin_test_results"
endef

$(foreach distribution,$(ROS1_DISTRIBUTIONS),$(eval $(call generate_ros1_targets,$(strip $(distribution)))))


default: ros1

.PHONY: ros1
ros1:
	docker build -t foxglove_bridge_ros1 --pull -f Dockerfile.ros1 .

clean:
	docker rmi $(docker images --filter=reference="foxglove_bridge_*" -q)

=== debian/changelog ===
ros-one-foxglove-bridge (0.8.5-20jammy.20251023.0833) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Thu, 23 Oct 2025 08:33:28 +0000

ros-one-foxglove-bridge (0.8.5-0jammy) jammy; urgency=high

  * fix rolling/kilted builds due to resource_retriever API changes (#351 <https://github.com/foxglove/ros-foxglove-bridge/issues/351>)
  * avoid requesting parameters from unresponsive nodes (#345 <https://github.com/foxglove/ros-foxglove-bridge/issues/345>)
  * Update default asset_uri_allowlist parameter to allow dashes (#347 <https://github.com/foxglove/ros-foxglove-bridge/issues/347>)
  * reorganize devcontainer dockerfile (#350 <https://github.com/foxglove/ros-foxglove-bridge/issues/350>)
  * Use RCLCPP_VERSION_GTE from rclcpp/version.h in generic_client.cpp (#344 <https://github.com/foxglove/ros-foxglove-bridge/issues/344>)
  * Fixed logging typo (#343 <https://github.com/foxglove/ros-foxglove-bridge/issues/343>)
  * Contributors: Hans-Joachim Krauch, Meet Gandhi, johannesschrimpf

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Thu, 15 May 2025 00:00:00 -0000

ros-one-foxglove-bridge (0.8.4-0jammy) jammy; urgency=high

  * also advertise channels for ROS1 topics without publishers (#341 <https://github.com/foxglove/ros-foxglove-bridge/issues/341>)
  * Contributors: Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Fri, 21 Feb 2025 00:00:00 -0000

ros-one-foxglove-bridge (0.8.3-0jammy) jammy; urgency=high

  * add best_effort_qos_topic_whitelist param (#329 <https://github.com/foxglove/ros-foxglove-bridge/issues/329>)
  * Add missing functional include in message_definition_cache.cpp (#334 <https://github.com/foxglove/ros-foxglove-bridge/issues/334>)
  * Contributors: David Revay, Silvio Traversaro

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Mon, 03 Feb 2025 00:00:00 -0000

ros-one-foxglove-bridge (0.8.2-0jammy) jammy; urgency=high

  * Fix "no matching function" error on yocto kirkstone (#331 <https://github.com/foxglove/ros-foxglove-bridge/issues/331>)
  * Contributors: Graham Harison

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Sun, 01 Dec 2024 00:00:00 -0000

ros-one-foxglove-bridge (0.8.1-0jammy) jammy; urgency=high

  * Improve Error Reporting and Reduce Log Redundancy (#327 <https://github.com/foxglove/ros-foxglove-bridge/issues/327>)
  * Contributors: Robin Dumas

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Tue, 26 Nov 2024 00:00:00 -0000

ros-one-foxglove-bridge (0.8.0-0jammy) jammy; urgency=high

  * Fix usage of deprecated AsyncParametersClient constructor (#319 <https://github.com/foxglove/ros-foxglove-bridge/issues/319>)
  * Add ROS2 JSON publishing support (#307 <https://github.com/foxglove/ros-foxglove-bridge/issues/307>)
  * Contributors: Davide Faconti, Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Wed, 31 Jul 2024 00:00:00 -0000

ros-one-foxglove-bridge (0.7.10-0jammy) jammy; urgency=high

  * Make ROS1 service type retrieval more robust (#316 <https://github.com/foxglove/ros-foxglove-bridge/issues/316>)
  * Contributors: Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Fri, 12 Jul 2024 00:00:00 -0000

ros-one-foxglove-bridge (0.7.9-0jammy) jammy; urgency=high

  * Fix parsing of IDL message definitions (#313 <https://github.com/foxglove/ros-foxglove-bridge/issues/313>)
  * Support publishing client message as loaned message (#314 <https://github.com/foxglove/ros-foxglove-bridge/issues/314>)
  * fix: remove extra ";" in websocket_server.hpp (#311 <https://github.com/foxglove/ros-foxglove-bridge/issues/311>)
  * Fix rolling smoke tests crashing (#309 <https://github.com/foxglove/ros-foxglove-bridge/issues/309>)
  * Contributors: Andrey Milko, Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Fri, 05 Jul 2024 00:00:00 -0000

ros-one-foxglove-bridge (0.7.8-0jammy) jammy; urgency=high

  * Fix srv definition parsing failing due to carriage return (#303 <https://github.com/foxglove/ros-foxglove-bridge/issues/303>)
  * Contributors: Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Tue, 11 Jun 2024 00:00:00 -0000

ros-one-foxglove-bridge (0.7.7-0jammy) jammy; urgency=high

  * send service call failure operation (#298 <https://github.com/foxglove/ros-foxglove-bridge/issues/298>)
  * Fix service definition parsing on ROS rolling (#293 <https://github.com/foxglove/ros-foxglove-bridge/issues/293>)
  * Update docs to discourage users from using websocket compression (#297 <https://github.com/foxglove/ros-foxglove-bridge/issues/297>)
  * Update README.md to remove '$ ' so that you can copy and run command (#294 <https://github.com/foxglove/ros-foxglove-bridge/issues/294>)
  * Fix typo in ROS2 launch file example (#296 <https://github.com/foxglove/ros-foxglove-bridge/issues/296>)
  * Contributors: Felipe Galindo, Hans-Joachim Krauch, Jacob Bandes-Storch, Roman Shtylman

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Tue, 21 May 2024 00:00:00 -0000

ros-one-foxglove-bridge (0.7.6-0jammy) jammy; urgency=high

  * Fix rolling builds (#289 <https://github.com/foxglove/ros-foxglove-bridge/issues/289>)
  * Remove dual ROS 1+2 devcontainer, remove ROS Galactic from the support matrix (#285 <https://github.com/foxglove/ros-foxglove-bridge/issues/285>)
  * Contributors: Hans-Joachim Krauch, John Hurliman

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Mon, 26 Feb 2024 00:00:00 -0000

ros-one-foxglove-bridge (0.7.5-0jammy) jammy; urgency=high

  * Add ROS 2 dependency for ament_index_cpp (#281 <https://github.com/foxglove/ros-foxglove-bridge/issues/281>)
  * Contributors: Chris Lalancette

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Fri, 29 Dec 2023 00:00:00 -0000

ros-one-foxglove-bridge (0.7.4-0jammy) jammy; urgency=high

  * Solved bug with incompatible QoS policies


=== debian/control ===
Source: ros-one-foxglove-bridge
Section: misc
Priority: optional
Maintainer: Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>
Build-Depends: debhelper (>= 9.0.0), libasio-dev, libssl-dev, libwebsocketpp-dev, nlohmann-json3-dev, ros-one-catkin, ros-one-nodelet, ros-one-resource-retriever, ros-one-ros-babel-fish, ros-one-ros-environment, ros-one-roscpp, ros-one-rosgraph-msgs, ros-one-roslib, zlib1g-dev
Homepage: https://github.com/foxglove/ros-foxglove-bridge
Standards-Version: 3.9.2

Package: ros-one-foxglove-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openssl, ros-one-nodelet, ros-one-resource-retriever, ros-one-ros-babel-fish, ros-one-roscpp, ros-one-rosgraph-msgs, ros-one-roslib, zlib1g-dev
Description: ROS Foxglove Bridge

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-foxglove-bridge//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-foxglove-bridge 0.8.5-20jammy.20260221.0123

=== debian/changelog ===
ros-one-foxglove-bridge (0.8.5-20jammy.20260221.0123) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Sat, 21 Feb 2026 01:23:10 +0000

## ros-one-foxglove-bridge 0.8.5-20noble.20251023.0838

=== debian/changelog ===
ros-one-foxglove-bridge (0.8.5-20noble.20251023.0838) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Thu, 23 Oct 2025 08:38:21 +0000

ros-one-foxglove-bridge (0.8.5-0noble) noble; urgency=high

  * fix rolling/kilted builds due to resource_retriever API changes (#351 <https://github.com/foxglove/ros-foxglove-bridge/issues/351>)
  * avoid requesting parameters from unresponsive nodes (#345 <https://github.com/foxglove/ros-foxglove-bridge/issues/345>)
  * Update default asset_uri_allowlist parameter to allow dashes (#347 <https://github.com/foxglove/ros-foxglove-bridge/issues/347>)
  * reorganize devcontainer dockerfile (#350 <https://github.com/foxglove/ros-foxglove-bridge/issues/350>)
  * Use RCLCPP_VERSION_GTE from rclcpp/version.h in generic_client.cpp (#344 <https://github.com/foxglove/ros-foxglove-bridge/issues/344>)
  * Fixed logging typo (#343 <https://github.com/foxglove/ros-foxglove-bridge/issues/343>)
  * Contributors: Hans-Joachim Krauch, Meet Gandhi, johannesschrimpf

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Thu, 15 May 2025 00:00:00 -0000

ros-one-foxglove-bridge (0.8.4-0noble) noble; urgency=high

  * also advertise channels for ROS1 topics without publishers (#341 <https://github.com/foxglove/ros-foxglove-bridge/issues/341>)
  * Contributors: Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Fri, 21 Feb 2025 00:00:00 -0000

ros-one-foxglove-bridge (0.8.3-0noble) noble; urgency=high

  * add best_effort_qos_topic_whitelist param (#329 <https://github.com/foxglove/ros-foxglove-bridge/issues/329>)
  * Add missing functional include in message_definition_cache.cpp (#334 <https://github.com/foxglove/ros-foxglove-bridge/issues/334>)
  * Contributors: David Revay, Silvio Traversaro

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Mon, 03 Feb 2025 00:00:00 -0000

ros-one-foxglove-bridge (0.8.2-0noble) noble; urgency=high

  * Fix "no matching function" error on yocto kirkstone (#331 <https://github.com/foxglove/ros-foxglove-bridge/issues/331>)
  * Contributors: Graham Harison

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Sun, 01 Dec 2024 00:00:00 -0000

ros-one-foxglove-bridge (0.8.1-0noble) noble; urgency=high

  * Improve Error Reporting and Reduce Log Redundancy (#327 <https://github.com/foxglove/ros-foxglove-bridge/issues/327>)
  * Contributors: Robin Dumas

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Tue, 26 Nov 2024 00:00:00 -0000

ros-one-foxglove-bridge (0.8.0-0noble) noble; urgency=high

  * Fix usage of deprecated AsyncParametersClient constructor (#319 <https://github.com/foxglove/ros-foxglove-bridge/issues/319>)
  * Add ROS2 JSON publishing support (#307 <https://github.com/foxglove/ros-foxglove-bridge/issues/307>)
  * Contributors: Davide Faconti, Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Wed, 31 Jul 2024 00:00:00 -0000

ros-one-foxglove-bridge (0.7.10-0noble) noble; urgency=high

  * Make ROS1 service type retrieval more robust (#316 <https://github.com/foxglove/ros-foxglove-bridge/issues/316>)
  * Contributors: Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Fri, 12 Jul 2024 00:00:00 -0000

ros-one-foxglove-bridge (0.7.9-0noble) noble; urgency=high

  * Fix parsing of IDL message definitions (#313 <https://github.com/foxglove/ros-foxglove-bridge/issues/313>)
  * Support publishing client message as loaned message (#314 <https://github.com/foxglove/ros-foxglove-bridge/issues/314>)
  * fix: remove extra ";" in websocket_server.hpp (#311 <https://github.com/foxglove/ros-foxglove-bridge/issues/311>)
  * Fix rolling smoke tests crashing (#309 <https://github.com/foxglove/ros-foxglove-bridge/issues/309>)
  * Contributors: Andrey Milko, Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Fri, 05 Jul 2024 00:00:00 -0000

ros-one-foxglove-bridge (0.7.8-0noble) noble; urgency=high

  * Fix srv definition parsing failing due to carriage return (#303 <https://github.com/foxglove/ros-foxglove-bridge/issues/303>)
  * Contributors: Hans-Joachim Krauch

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Tue, 11 Jun 2024 00:00:00 -0000

ros-one-foxglove-bridge (0.7.7-0noble) noble; urgency=high

  * send service call failure operation (#298 <https://github.com/foxglove/ros-foxglove-bridge/issues/298>)
  * Fix service definition parsing on ROS rolling (#293 <https://github.com/foxglove/ros-foxglove-bridge/issues/293>)
  * Update docs to discourage users from using websocket compression (#297 <https://github.com/foxglove/ros-foxglove-bridge/issues/297>)
  * Update README.md to remove '$ ' so that you can copy and run command (#294 <https://github.com/foxglove/ros-foxglove-bridge/issues/294>)
  * Fix typo in ROS2 launch file example (#296 <https://github.com/foxglove/ros-foxglove-bridge/issues/296>)
  * Contributors: Felipe Galindo, Hans-Joachim Krauch, Jacob Bandes-Storch, Roman Shtylman

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Tue, 21 May 2024 00:00:00 -0000

ros-one-foxglove-bridge (0.7.6-0noble) noble; urgency=high

  * Fix rolling builds (#289 <https://github.com/foxglove/ros-foxglove-bridge/issues/289>)
  * Remove dual ROS 1+2 devcontainer, remove ROS Galactic from the support matrix (#285 <https://github.com/foxglove/ros-foxglove-bridge/issues/285>)
  * Contributors: Hans-Joachim Krauch, John Hurliman

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Mon, 26 Feb 2024 00:00:00 -0000

ros-one-foxglove-bridge (0.7.5-0noble) noble; urgency=high

  * Add ROS 2 dependency for ament_index_cpp (#281 <https://github.com/foxglove/ros-foxglove-bridge/issues/281>)
  * Contributors: Chris Lalancette

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Fri, 29 Dec 2023 00:00:00 -0000

ros-one-foxglove-bridge (0.7.4-0noble) noble; urgency=high

  * Solved bug with incompatible QoS policies


## ros-one-foxglove-bridge 0.8.5-20noble.20260221.0200

=== debian/changelog ===
ros-one-foxglove-bridge (0.8.5-20noble.20260221.0200) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Foxglove <ros-tooling+foxglove_bridge@foxglove.dev>  Sat, 21 Feb 2026 02:00:28 +0000
